summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Binh Nguyen2010-07-08 17:07:01 +0200
committer Robby Workman2010-07-08 17:07:01 +0200
commit0d47d1c30348fca29d29c0287582a9875bedf78e (patch)
tree8fa58208d97bfd93008be61e78e762ef58c34efb /graphics
parent48c5916d582de2670355d5c3d4fd09c459cb497f (diff)
downloadslackbuilds-0d47d1c30348fca29d29c0287582a9875bedf78e.tar.gz
graphics/evolus-pencil: Added (Opensource GUI Prototyping Tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/evolus-pencil/README5
-rw-r--r--graphics/evolus-pencil/doinst.sh4
-rw-r--r--graphics/evolus-pencil/evolus-pencil.SlackBuild55
-rw-r--r--graphics/evolus-pencil/evolus-pencil.info10
-rw-r--r--graphics/evolus-pencil/slack-desc19
5 files changed, 93 insertions, 0 deletions
diff --git a/graphics/evolus-pencil/README b/graphics/evolus-pencil/README
new file mode 100644
index 0000000000..4a2d6e4d73
--- /dev/null
+++ b/graphics/evolus-pencil/README
@@ -0,0 +1,5 @@
+The Pencil Project's unique mission is to build a free and
+opensource tool for making diagrams and GUI prototyping that
+everyone can use.
+
+This requires xulrunner.
diff --git a/graphics/evolus-pencil/doinst.sh b/graphics/evolus-pencil/doinst.sh
new file mode 100644
index 0000000000..24e4bc11e0
--- /dev/null
+++ b/graphics/evolus-pencil/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
+
diff --git a/graphics/evolus-pencil/evolus-pencil.SlackBuild b/graphics/evolus-pencil/evolus-pencil.SlackBuild
new file mode 100644
index 0000000000..87d8087e0d
--- /dev/null
+++ b/graphics/evolus-pencil/evolus-pencil.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=evolus-pencil
+VERSION=1.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i386
+
+RPMBUILD=0
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+rpm2cpio $CWD/$PRGNAM-$VERSION-$RPMBUILD.$ARCH.rpm | cpio -imdv
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/evolus-pencil/evolus-pencil.info b/graphics/evolus-pencil/evolus-pencil.info
new file mode 100644
index 0000000000..3b057724b3
--- /dev/null
+++ b/graphics/evolus-pencil/evolus-pencil.info
@@ -0,0 +1,10 @@
+PRGNAM="evolus-pencil"
+VERSION="1.2"
+HOMEPAGE="http://pencil.evolus.vn/"
+DOWNLOAD="http://evoluspencil.googlecode.com/files/evolus-pencil-1.2-0.i386.rpm"
+MD5SUM="84d25c824f89185813c8649ed3d2196f"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="rworkman"
diff --git a/graphics/evolus-pencil/slack-desc b/graphics/evolus-pencil/slack-desc
new file mode 100644
index 0000000000..e467ae830b
--- /dev/null
+++ b/graphics/evolus-pencil/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+evolus-pencil: Evolus Pencil (The Opensource GUI Prototyping Tool)
+evolus-pencil:
+evolus-pencil: The Pencil Project's unique mission is to build a free and
+evolus-pencil: opensource tool for making diagrams and GUI prototyping that
+evolus-pencil: everyone can use.
+evolus-pencil:
+evolus-pencil: Homepage: http://pencil.evolus.vn/
+evolus-pencil:
+evolus-pencil:
+evolus-pencil:
+evolus-pencil: